=== debian/changelog ===
latte-dock (0.9.97-0ubuntu1) impish; urgency=medium

  * New upstream beta release (0.9.97)
  * Update watch file.
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Jun 2021 20:29:27 +0100
