## latte-dock 0.9.98

=== debian/changelog ===
latte-dock (0.9.98-0ubuntu1) impish; urgency=medium

  * New upstream beta release (0.9.98)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 19:16:49 +0100
