## latte-dock 0.10.0

=== debian/changelog ===
latte-dock (0.10.0-0ubuntu1) impish; urgency=medium

  * New upstream release (0.10.0)
  * Update watch file for stable releases.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Aug 2021 01:09:40 +0100
