=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	find debian/latte-dock -name COPYING -print -delete
