## latte-dock 0.10.1

=== debian/changelog ===
latte-dock (0.10.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version (0.10.1).
  * Bump standards version to 4.6.0, no changes necessary.

 -- Norbert Preining <norbert@preining.info>  Thu, 26 Aug 2021 01:05:24 +0900

latte-dock (0.10.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Switch the transitional libxcb-util0-dev build dependency to
    libxcb-util-dev.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Scarlett Moore ]
  * New upstream bugfix release.
  * Update my email address.
  * Refresh copyright file <- 0.9.10
    - ca* moved to same copyright as package
      from kdeev variation.
    - Reword KDEeV short format.

  [ Norbert Preining ]
  * New upstream releases (0.9.97, .98, 0.10.0).
  * Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Aug 2021 16:18:19 +0900
