## latte-dock 0.10.2

=== debian/changelog ===
latte-dock (0.10.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Drop removal of COPYING files, as they are no more installed.
  * CI: disable the blhc job.
  * Small fixes in copyright.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 15:14:54 +0900
