## latte-dock 0.10.3

=== debian/changelog ===
latte-dock (0.10.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version (0.10.3).

 -- Norbert Preining <norbert@preining.info>  Tue, 26 Oct 2021 06:46:07 +0900
