## latte-dock 0.10.4

=== debian/changelog ===
latte-dock (0.10.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable the blhc job again.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Nov 2021 19:31:01 +0100
