## latte-dock 0.10.5

=== debian/changelog ===
latte-dock (0.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/upstream/metadata: fix references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Dec 2021 22:12:10 +0100
