## latte-dock 0.10.6

=== debian/changelog ===
latte-dock (0.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Dec 2021 11:58:36 +0100
