## latte-dock 0.10.7

=== debian/changelog ===
latte-dock (0.10.7-0ubuntu1) jammy; urgency=medium

  * New upstream release (0.10.7)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Jan 2022 21:29:21 +0000
