=== app/packageplugins/CMakeLists.txt ===
add_subdirectory(indicator)
