=== app/settings/generic/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/genericdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generichandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/generictools.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericviewtools.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/layoutscombobox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/persistentmenu.cpp
    PARENT_SCOPE
)
