=== app/settings/screensdialog/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/screensdialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/screenshandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/screensmodel.cpp
    PARENT_SCOPE
)
