=== app/view/indicator/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/indicator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/indicatorinfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/indicatorresources.cpp    
    PARENT_SCOPE
)
