=== debian/changelog ===
latte-dock (0.10.8-0ubuntu1) jammy; urgency=medium

  * New upstream release (0.10.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Jan 2022 19:19:54 +0000

latte-dock (0.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 11 Jan 2022 19:48:28 +0100
