=== app/layout/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/abstractlayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/centrallayout.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/genericlayout.cpp
    PARENT_SCOPE
)
