=== app/settings/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/universalsettings.cpp
    PARENT_SCOPE
)
