=== app/templates/CMakeLists.txt ===
set(lattedock-app_SRCS
    ${lattedock-app_SRCS}   
    ${CMAKE_CURRENT_SOURCE_DIR}/templatesmanager.cpp        
    PARENT_SCOPE
)
