=== debian/changelog ===
latte-dock (0.10.9-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Dec 2022 14:35:54 -0800

latte-dock (0.10.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.1, no changes needed.
  * Update the GPG signing key.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Fri, 02 Dec 2022 22:09:16 +0100

latte-dock (0.10.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Jan 2022 07:39:46 +0100
