=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
